Upgrade path for Python plugin users

已回答

I'm using IntelliJ IDEA 2019.2.4 with the Python plugin version 2019.2.192.7142.36.  IntelliJ IDEA 2019.3.1 is now available, but the current Python plugin is incompatible.  What is the proper upgrade path to take so that I won't lose configuration details in my projects?

I see on https://intellij-support.jetbrains.com/hc/en-us/community/posts/360006749739--IntelliJ-Plugin-Error-Plugin-Python-is-incompatible-target-build-range-is-192-7142-to-192- that there's an updated version of the Python plugin that's supposed to work with IntelliJ 2019.3, but it requires a "leap of faith" upgrade where I first upgrade IntelliJ and then try to upgrade the Python plugin afterwards. No plugin updates are visible while I'm still on IDEA 2019.2.4.

Additionally, there was a response from JetBrains in that thread that recommended uninstalling the plugin & reinstalling, but presumably that would wipe out any Python configuration I have, which wouldn't be good.

Suggestions?

评论操作 固定链接

Just update the IDE and the Python plug-in afterwards, everything will be preserved.

0

请先登录再写评论。